Bug 188107 - Xinerama not working with Dell Lat D600
Xinerama not working with Dell Lat D600
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-05 23:03 EDT by Jason S
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-28 11:37:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason S 2006-04-05 23:03:41 EDT
Description of problem:

Dual-headed xinerama worked fine on a Dell Latitude D600 with FC4 but when I
upgraded to FC5 the best I can do is clone the primary screen to the secondary.
 Xinerama won't work.  The secondary screen shows the blue background (somewhat
muddied) and it echos some of what's on the main screen.  For example, if I open
a terminal window it'll be legible on the main screen but look like bad cable
scrambling on the second screen.  If I drag a window to the second screen it
gets scrambled, but is restored when  I drag it back to the primary.

All of that is with the fglrx driver.  With the standard radeon driver the
second screen won't come on at all.  

Version-Release number of selected component (if applicable):

2.6.16-1.2080_FC5

How reproducible:

Very.  I've installed a fresh copy of FC4, got Xinerama working and upgraded via
CD to FC5.   

Steps to Reproduce:
1. Install FC4.  Set up xinerama
2. Install FC5
3.
  
Actual results:

Second display doesn't come on with radeon drivers.  With livna's fglrx the
second screen works ok as a clone, but is scrambled with xinerama enabled.

Expected results:

Xinerama. 

Additional info:
Comment 1 Mike A. Harris 2006-05-19 09:13:29 EDT
We do not support the proprietary fglrx driver (or any 3rd party driver).

For problems with fglrx, please contact ATI directly.  If you're also having
a problem with the stock radeon driver, uninstall the fglrx driver completely,
and reinstall all of the mesa and Xorg packages to restore all of the files
the ATI installer overwrites when it installs.

Then run "system-config-display --reconfig" to generate an X config.  You then
need to manually configure Xinerama by hand (our config tool pretends to
configure dualhead but never works properly).  You may need assistance from
the xorg@lists.freedesktop.org mailing list to get a proper working
Xinerama setup, as it varies with different hardware and setups how to
properly configure it.

If you still have problems after that, file a bug report in X.Org bugzilla
and attach the upstream bug URL here and we will track the issue in X.Org
bugzilla.

Setting status to "NEEDINFO_REPORTER" and awaiting update and/or upstream
bug URL.

Thanks in advance.

Comment 3 Matěj Cepl 2007-06-28 11:37:57 EDT
No response from reporter, no activity for a long time, closing as
INSUFFICIENT_DATA. If anyone has some information on this bug, please, reopen
with additional data.

Note You need to log in before you can comment on or make changes to this bug.